package com.hfkj.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * bs_order_settle_ledger
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class BsOrderSettleLedger implements Serializable {
    /**
     * 主键ID
     */
    private Long id;

    /**
     * 交易入账记录id
     */
    private Long orderSettleId;

    /**
     * 分账比例 单位：%
     */
    private BigDecimal ratio;

    /**
     * 分账金额
     */
    private BigDecimal sharingAmount;

    /**
     * 分账接收方账户编号
     */
    private String receiverMerNo;

    /**
     * 分账接收方账户名称
     */
    private String receiverMerName;

    /**
     * 分账接收金额
     */
    private BigDecimal receiverAmount;

    /**
     * 分账状态  0：未分账  1：已分账
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 分账时间
     */
    private Date profitSharingTime;

    /**
     * 完成时间
     */
    private Date finishTime;

    private String ext1;

    private String ext2;

    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getOrderSettleId() {
        return orderSettleId;
    }

    public void setOrderSettleId(Long orderSettleId) {
        this.orderSettleId = orderSettleId;
    }

    public BigDecimal getRatio() {
        return ratio;
    }

    public void setRatio(BigDecimal ratio) {
        this.ratio = ratio;
    }

    public BigDecimal getSharingAmount() {
        return sharingAmount;
    }

    public void setSharingAmount(BigDecimal sharingAmount) {
        this.sharingAmount = sharingAmount;
    }

    public String getReceiverMerNo() {
        return receiverMerNo;
    }

    public void setReceiverMerNo(String receiverMerNo) {
        this.receiverMerNo = receiverMerNo;
    }

    public String getReceiverMerName() {
        return receiverMerName;
    }

    public void setReceiverMerName(String receiverMerName) {
        this.receiverMerName = receiverMerName;
    }

    public BigDecimal getReceiverAmount() {
        return receiverAmount;
    }

    public void setReceiverAmount(BigDecimal receiverAmount) {
        this.receiverAmount = receiverAmount;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getProfitSharingTime() {
        return profitSharingTime;
    }

    public void setProfitSharingTime(Date profitSharingTime) {
        this.profitSharingTime = profitSharingTime;
    }

    public Date getFinishTime() {
        return finishTime;
    }

    public void setFinishTime(Date finishTime) {
        this.finishTime = finishTime;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        BsOrderSettleLedger other = (BsOrderSettleLedger) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getOrderSettleId() == null ? other.getOrderSettleId() == null : this.getOrderSettleId().equals(other.getOrderSettleId()))
            && (this.getRatio() == null ? other.getRatio() == null : this.getRatio().equals(other.getRatio()))
            && (this.getSharingAmount() == null ? other.getSharingAmount() == null : this.getSharingAmount().equals(other.getSharingAmount()))
            && (this.getReceiverMerNo() == null ? other.getReceiverMerNo() == null : this.getReceiverMerNo().equals(other.getReceiverMerNo()))
            && (this.getReceiverMerName() == null ? other.getReceiverMerName() == null : this.getReceiverMerName().equals(other.getReceiverMerName()))
            && (this.getReceiverAmount() == null ? other.getReceiverAmount() == null : this.getReceiverAmount().equals(other.getReceiverAmount()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getProfitSharingTime() == null ? other.getProfitSharingTime() == null : this.getProfitSharingTime().equals(other.getProfitSharingTime()))
            && (this.getFinishTime() == null ? other.getFinishTime() == null : this.getFinishTime().equals(other.getFinishTime()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getOrderSettleId() == null) ? 0 : getOrderSettleId().hashCode());
        result = prime * result + ((getRatio() == null) ? 0 : getRatio().hashCode());
        result = prime * result + ((getSharingAmount() == null) ? 0 : getSharingAmount().hashCode());
        result = prime * result + ((getReceiverMerNo() == null) ? 0 : getReceiverMerNo().hashCode());
        result = prime * result + ((getReceiverMerName() == null) ? 0 : getReceiverMerName().hashCode());
        result = prime * result + ((getReceiverAmount() == null) ? 0 : getReceiverAmount().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getProfitSharingTime() == null) ? 0 : getProfitSharingTime().hashCode());
        result = prime * result + ((getFinishTime() == null) ? 0 : getFinishTime().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", orderSettleId=").append(orderSettleId);
        sb.append(", ratio=").append(ratio);
        sb.append(", sharingAmount=").append(sharingAmount);
        sb.append(", receiverMerNo=").append(receiverMerNo);
        sb.append(", receiverMerName=").append(receiverMerName);
        sb.append(", receiverAmount=").append(receiverAmount);
        sb.append(", status=").append(status);
        sb.append(", createTime=").append(createTime);
        sb.append(", profitSharingTime=").append(profitSharingTime);
        sb.append(", finishTime=").append(finishTime);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}